python-scapy_2.3.3-3_all.deb


Advertisement

Description

python-scapy - Packet generator/sniffer and network scanner/discovery

Distribution: Debian Sid
Repository: Debian Main i386
Package name: python-scapy
Package version: 2.3.3
Package release: 3
Package architecture: all
Package type: deb
Installed size: 2.41 KB
Download size: 352.48 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Provides

  • scapy

Replaces

  • scapy << 1.0.5-1

    Download

    Source package: scapy

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-scapy deb package:
      # sudo apt-get install python-scapy

    Changelog

    2017-09-16 - Iain R. Learmonth <irl@debian.org> scapy (2.3.3-3) unstable; urgency=medium * Do not output trailing newline generating version number

    2017-09-16 - Iain R. Learmonth <irl@debian.org> scapy (2.3.3-2) unstable; urgency=medium [ Hilko Bengen ] * fix unreliable generation of scapy.VERSION at build time

    2016-12-03 - Iain R. Learmonth <irl@debian.org> scapy (2.3.3-1) unstable; urgency=medium * New upstream version 2.3.3 * debian/control: - Maintainer set to the Internet Measurement Packaging Team (Closes: #833724) - Uploaders set to myself - Removed unnecessary versioned Build-Depends for python - Packaging is now using Git · Repository created under the Internet Measurement Packaging Team · Vcs-Git and Vcs-Browser fields have been updated - Updated standards version to 3.9.8 - Replaced Conflicts with Breaks as it makes more sense here for installing over a (very) old version of the package * Bumped compat level to 9 * debian/README.source: - Added a note to point to src:scapy3k - Added a note regarding the use of quilt * debian/patches: - Patches refreshed. - Patch for paths now corrects the location of Wireshark's manuf file (Closes: #692408) * debian/rules: - Clean up the stray scapy/VERSION file that gets generated when cleaning the source tree

    2016-04-29 - Iain R. Learmonth <irl@debian.org> scapy (2.3.2-0.1) unstable; urgency=medium * Non-maintainer upload. * New upstream release. (Closes: #773554) * debian/control: - Added dh-python to Build-Depends

    2011-07-17 - David Villa Alises <David.Villa@uclm.es> scapy (2.2.0-1) unstable; urgency=low * New upstream release. * Bug fix: "new upstream release 2.2 available", thanks to Michael Prokop (Closes: #618732). * Suggests python-pcapy, thanks to Jakub Wilk <jwilk@debian.org> (#589995). * Bug fix: "import scapy.layers.dot11 fails on kfreebsd-*", thanks to Christian Kastner (Closes: #589995). Patch by Jakub Wilk <jwilk@debian.org> * cdbs/dh_pysupport to dh7/dh_python2 migration.

    2010-02-24 - David Villa Alises <David.Villa@uclm.es> scapy (2.1.0-1) unstable; urgency=low * New upstream release (Closes: #570343)

    2009-09-30 - David Villa Alises <David.Villa@uclm.es> scapy (2.0.1-1) unstable; urgency=low [ Sandro Tosi ] * debian/control - switch Vcs-Browser field to viewsvn [ Yves-Alexis Perez ] * new upstream release. * debian/control: - update standards version to 3.8.3. - add ${misc:Depends} to depends since we use debhelper. * debian/patches: - both patches refreshed for new upstream. [ David Villa ] * new upstream release (Closes: #485767)

    2008-08-17 - David Villa Alises <David.Villa@uclm.es> scapy (2.0.0.5-1) unstable; urgency=low * New upstream release. Source taken from mercurial repository at http://hg.secdev.org/scapy (tag 'v2.0.0.5')

    2007-10-06 - Piotr Ożarowski <piotr@debian.org> scapy (1.1.1-4) UNRELEASED; urgency=low [ Piotr Ożarowski ] * Vcs-Svn, Vcs-Browser and Homepage fields added [ Sandro Tosi ] * debian/control - uniforming Vcs-Browser field

    2007-09-07 - David Villa Alises <David.Villa@uclm.es> scapy (1.1.1-3) unstable; urgency=low * Upstream author made several important modificacions and bug fixes, but he does not create a new upstream resease. I include them as a patch in /debian/patches/scapy.py-upstream.patch

    Advertisement
    Advertisement